Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(158)

Issue 2806373005: [v8] v8::StackTrace::AsArray returns correct array (Closed)

Created:
2 years, 6 months ago by kozy
Modified:
2 years, 6 months ago
Reviewers:
Yang
CC:
v8-reviews_googlegroups.com
Target Ref:
refs/heads/master
Project:
v8
Visibility:
Public.

Description

[v8] v8::StackTrace::AsArray returns correct array After [1] we return JSArray with internal structs, we should return JSObjects instead. [1] https://codereview.chromium.org/2789073002 BUG=v8:6189 R=yangguo@chromium.org Review-Url: https://codereview.chromium.org/2806373005 Cr-Commit-Position: refs/heads/master@{#44581} Committed: https://chromium.googlesource.com/v8/v8/+/2e4a68733803222274b1e029081ecd650b4344d6

Patch Set 1 #

Patch Set 2 : removed redundant semicolon #

Total comments: 2

Patch Set 3 : addressed comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+88 lines, -65 lines) Patch
M include/v8.h View 1 2 3 chunks +4 lines, -4 lines 0 comments Download
M src/api.cc View 1 2 1 chunk +55 lines, -1 line 0 comments Download
M src/isolate.cc View 1 2 4 chunks +27 lines, -53 lines 0 comments Download
M test/cctest/test-api.cc View 1 2 2 chunks +2 lines, -7 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 21 (14 generated)
kozy
Yang, please take a look. It looks like neither chromium nor node.js use this API ...
2 years, 6 months ago (2017-04-10 21:44:43 UTC) #1
Yang
LGTM with comment addressed. https://codereview.chromium.org/2806373005/diff/20001/src/api.cc File src/api.cc (right): https://codereview.chromium.org/2806373005/diff/20001/src/api.cc#newcode2919 src/api.cc:2919: Local<Array> StackTrace::AsArray() { AsArray doesnt ...
2 years, 6 months ago (2017-04-11 13:05:49 UTC) #9
kozy
all done. https://codereview.chromium.org/2806373005/diff/20001/src/api.cc File src/api.cc (right): https://codereview.chromium.org/2806373005/diff/20001/src/api.cc#newcode2919 src/api.cc:2919: Local<Array> StackTrace::AsArray() { On 2017/04/11 13:05:49, Yang ...
2 years, 6 months ago (2017-04-11 15:04:06 UTC) #10
kozy
I'll land it so it looks like important fix of C++ V8 API.
2 years, 6 months ago (2017-04-11 15:05:14 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2806373005/40001
2 years, 6 months ago (2017-04-11 15:05:32 UTC) #17
Yang
lgtm. thanks
2 years, 6 months ago (2017-04-11 15:24:00 UTC) #18
commit-bot: I haz the power
2 years, 6 months ago (2017-04-11 15:30:59 UTC) #21
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/v8/v8/+/2e4a68733803222274b1e029081ecd650b4...

Powered by Google App Engine
This is Rietveld 408576698